<h3>Description</h3>

<p>This tool is used to generate TUFLOW Height Width Tables for use with Irregular Culverts specified in the 1D_Nwk File.</p>

<p>The tool allows the user to specify a Circular, Rectangular, Arch or Sprung-Arch Culvert and the tool will generate Height-Width tables for these. <br />
The tool is set up so that the user can specify an optional sediment depth, and the tool will adjust the Height-Width table accordingly. <br />
The change in invert level, as a consequnece of the sediment depth, will need to be added to the invert level in the 1D_nwk input layer.  </p>

<h3>Parameters</h3>

<ul>
<li><strong>Shape ID</strong>: Unique Identifier for the Shape. [Required]</li>
<li><strong>Shape</strong>: Culvert Shape, currently Circular or Rectangular. [Required]</li>
<li><strong>Width_or_Dia (m)</strong>: As per the TUFLOW 1D_nwk attribute, the pipe diameter in metres for circular shaped culverts or the box culvert width in metres for rectagular culverts. [Required]</li>
<li><strong>Height_or_WF (for Rectangular Shape)(m)</strong>: As per the TUFLOW 1D_nwk attribute, the box culvert height in metres for rectagular culverts. [Required for Rectangular Culverts]</li>
<li><strong>Crown Height (for Arch and Sprung-Arch Shape)(m)</strong>: This is the height of the Arch culverts. For Sprung-Arch Culverts it is the arch height above the springing height [Required for Arch/Sprung-Arch Culverts]</li>
<li><strong>Springing Height (for Sprung-Arch Shape)(m)</strong>: This is the springing height of the Sprung-Arch culverts. [Required for Sprung-Arch Culverts]</li>
<li><strong>Sediment Depth (mm)</strong>: An optional user specified sediment depth (mm) to apply to the height-width table.  <strong>Note the mm units.</strong></li>
<li><strong>Number of Height/Width Entries</strong>: Number of Height/Width pairs used to define the shape in the HW table.  Default and minimum is 10.</li>
<li><strong>Output Directory</strong>: Location to which the TUFLOW 1D_HW_[Shape_ID].csv is to be saved to.</li>
</ul>
